POST api/Zapier/InsertPolicyDirectBilling
This end point will insert policy direct billing rows.
Request Information
URI Parameters
None.
Body Parameters
PolicyDirectBilling| Name | Description | Type | Additional information |
|---|---|---|---|
| policy_database_id | globally unique identifier |
None. |
|
| insured_database_id | globally unique identifier |
None. |
|
| insured_email | string |
None. |
|
| insured_first_name | string |
None. |
|
| insured_last_name | string |
None. |
|
| insured_commercial_name | string |
None. |
|
| total_premium_amount | decimal number |
None. |
|
| down_payment_amount | decimal number |
None. |
|
| down_payment_type | string |
None. |
|
| remaining_payments | integer |
None. |
|
| description | string |
None. |
|
| due_date | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"policy_database_id": "8ddc9092-f2ca-4fbb-9edd-00882bc4aff7",
"insured_database_id": "8a6f7b5c-5dc8-405f-82b3-828dab66313e",
"insured_email": "sample string 2",
"insured_first_name": "sample string 3",
"insured_last_name": "sample string 4",
"insured_commercial_name": "sample string 5",
"total_premium_amount": 6.0,
"down_payment_amount": 7.0,
"down_payment_type": "sample string 8",
"remaining_payments": 9,
"description": "sample string 10",
"due_date": "2026-03-16T17:43:20.6951114-05:00"
}
application/xml, text/xml
Sample:
<PolicyDirectBilling xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models"> <Description>sample string 10</Description> <DownPaymentAmount>7</DownPaymentAmount> <DownPaymentType>sample string 8</DownPaymentType> <DueDate>2026-03-16T17:43:20.6951114-05:00</DueDate> <InsuredCommercialName>sample string 5</InsuredCommercialName> <InsuredDatabaseId>8a6f7b5c-5dc8-405f-82b3-828dab66313e</InsuredDatabaseId> <InsuredEmail>sample string 2</InsuredEmail> <InsuredFirstName>sample string 3</InsuredFirstName> <InsuredLastName>sample string 4</InsuredLastName> <PolicyDatabaseId>8ddc9092-f2ca-4fbb-9edd-00882bc4aff7</PolicyDatabaseId> <RemainingPayments>9</RemainingPayments> <TotalPremiumAmount>6</TotalPremiumAmount> </PolicyDirectBilling>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultWithDatabaseId| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "1f63f037-4a12-4d2a-9dc7-d1bc9624bd81",
"status": 0,
"message": "sample string 2"
}
application/xml, text/xml
Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 2</Message> <Status>Error</Status> <DatabaseId>1f63f037-4a12-4d2a-9dc7-d1bc9624bd81</DatabaseId> </NowCertsApiResultWithDatabaseId>